"use client";
import { useRouter } from "@/i18n";
import { LocalPropsWithChildren } from "@/types";
import { Button } from "@nextui-org/button";
import { useTranslations } from "next-intl";
import Link from "next/link";
import { FC } from "react";

const App: FC<LocalPropsWithChildren> = (props) => {
    const t = useTranslations("global");
    const router = useRouter();
    const handler = () => {
        router.push("/home");
    };
    return (
        <div>
            hello React
            <Link href="/home">跳转</Link>
            <Button color={"primary"} onClick={handler}>
                {t("title")}
            </Button>
        </div>
    );
};

export default App;
